1. Packages
  2. Packages
  3. Cloudflare Provider
  4. API Docs
  5. OriginCloudRegion
Viewing docs for Cloudflare v6.18.0
published on Thursday, Jul 16, 2026 by Pulumi
cloudflare logo
Viewing docs for Cloudflare v6.18.0
published on Thursday, Jul 16, 2026 by Pulumi

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as cloudflare from "@pulumi/cloudflare";
    
    const exampleOriginCloudRegion = new cloudflare.OriginCloudRegion("example_origin_cloud_region", {
        zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
        originIp: "192.0.2.1",
        region: "us-east-1",
        vendor: "aws",
    });
    
    import pulumi
    import pulumi_cloudflare as cloudflare
    
    example_origin_cloud_region = cloudflare.OriginCloudRegion("example_origin_cloud_region",
        zone_id="023e105f4ecef8ad9ca31a8372d0c353",
        origin_ip="192.0.2.1",
        region="us-east-1",
        vendor="aws")
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := cloudflare.NewOriginCloudRegion(ctx, "example_origin_cloud_region", &cloudflare.OriginCloudRegionArgs{
    			ZoneId:   pulumi.String("023e105f4ecef8ad9ca31a8372d0c353"),
    			OriginIp: pulumi.String("192.0.2.1"),
    			Region:   pulumi.String("us-east-1"),
    			Vendor:   pulumi.String("aws"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Cloudflare = Pulumi.Cloudflare;
    
    return await Deployment.RunAsync(() => 
    {
        var exampleOriginCloudRegion = new Cloudflare.OriginCloudRegion("example_origin_cloud_region", new()
        {
            ZoneId = "023e105f4ecef8ad9ca31a8372d0c353",
            OriginIp = "192.0.2.1",
            Region = "us-east-1",
            Vendor = "aws",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.cloudflare.OriginCloudRegion;
    import com.pulumi.cloudflare.OriginCloudRegionArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var exampleOriginCloudRegion = new OriginCloudRegion("exampleOriginCloudRegion", OriginCloudRegionArgs.builder()
                .zoneId("023e105f4ecef8ad9ca31a8372d0c353")
                .originIp("192.0.2.1")
                .region("us-east-1")
                .vendor("aws")
                .build());
    
        }
    }
    
    resources:
      exampleOriginCloudRegion:
        type: cloudflare:OriginCloudRegion
        name: example_origin_cloud_region
        properties:
          zoneId: 023e105f4ecef8ad9ca31a8372d0c353
          originIp: 192.0.2.1
          region: us-east-1
          vendor: aws
    
    pulumi {
      required_providers {
        cloudflare = {
          source = "pulumi/cloudflare"
        }
      }
    }
    
    resource "cloudflare_origincloudregion" "example_origin_cloud_region" {
      zone_id   = "023e105f4ecef8ad9ca31a8372d0c353"
      origin_ip = "192.0.2.1"
      region    = "us-east-1"
      vendor    = "aws"
    }
    

    Create OriginCloudRegion Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new OriginCloudRegion(name: string, args: OriginCloudRegionArgs, opts?: CustomResourceOptions);
    @overload
    def OriginCloudRegion(resource_name: str,
                          args: OriginCloudRegionArgs,
                          opts: Optional[ResourceOptions] = None)
    
    @overload
    def OriginCloudRegion(resource_name: str,
                          opts: Optional[ResourceOptions] = None,
                          origin_ip: Optional[str] = None,
                          region: Optional[str] = None,
                          vendor: Optional[str] = None,
                          zone_id: Optional[str] = None)
    func NewOriginCloudRegion(ctx *Context, name string, args OriginCloudRegionArgs, opts ...ResourceOption) (*OriginCloudRegion, error)
    public OriginCloudRegion(string name, OriginCloudRegionArgs args, CustomResourceOptions? opts = null)
    public OriginCloudRegion(String name, OriginCloudRegionArgs args)
    public OriginCloudRegion(String name, OriginCloudRegionArgs args, CustomResourceOptions options)
    
    type: cloudflare:OriginCloudRegion
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "cloudflare_origin_cloud_region" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args OriginCloudRegionArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args OriginCloudRegionArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args OriginCloudRegionArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args OriginCloudRegionArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args OriginCloudRegionArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var originCloudRegionResource = new Cloudflare.OriginCloudRegion("originCloudRegionResource", new()
    {
        OriginIp = "string",
        Region = "string",
        Vendor = "string",
        ZoneId = "string",
    });
    
    example, err := cloudflare.NewOriginCloudRegion(ctx, "originCloudRegionResource", &cloudflare.OriginCloudRegionArgs{
    	OriginIp: pulumi.String("string"),
    	Region:   pulumi.String("string"),
    	Vendor:   pulumi.String("string"),
    	ZoneId:   pulumi.String("string"),
    })
    
    resource "cloudflare_origin_cloud_region" "originCloudRegionResource" {
      lifecycle {
        create_before_destroy = true
      }
      origin_ip = "string"
      region    = "string"
      vendor    = "string"
      zone_id   = "string"
    }
    
    var originCloudRegionResource = new OriginCloudRegion("originCloudRegionResource", OriginCloudRegionArgs.builder()
        .originIp("string")
        .region("string")
        .vendor("string")
        .zoneId("string")
        .build());
    
    origin_cloud_region_resource = cloudflare.OriginCloudRegion("originCloudRegionResource",
        origin_ip="string",
        region="string",
        vendor="string",
        zone_id="string")
    
    const originCloudRegionResource = new cloudflare.OriginCloudRegion("originCloudRegionResource", {
        originIp: "string",
        region: "string",
        vendor: "string",
        zoneId: "string",
    });
    
    type: cloudflare:OriginCloudRegion
    properties:
        originIp: string
        region: string
        vendor: string
        zoneId: string
    

    OriginCloudRegion Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The OriginCloudRegion resource accepts the following input properties:

    OriginIp string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    Region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    Vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    ZoneId string
    Identifier.
    OriginIp string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    Region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    Vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    ZoneId string
    Identifier.
    origin_ip string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zone_id string
    Identifier.
    originIp String
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region String
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor String
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zoneId String
    Identifier.
    originIp string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zoneId string
    Identifier.
    origin_ip str
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region str
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor str
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zone_id str
    Identifier.
    originIp String
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region String
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor String
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zoneId String
    Identifier.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the OriginCloudRegion resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    ModifiedOn string
    Time this mapping was last modified.
    Id string
    The provider-assigned unique ID for this managed resource.
    ModifiedOn string
    Time this mapping was last modified.
    id string
    The provider-assigned unique ID for this managed resource.
    modified_on string
    Time this mapping was last modified.
    id String
    The provider-assigned unique ID for this managed resource.
    modifiedOn String
    Time this mapping was last modified.
    id string
    The provider-assigned unique ID for this managed resource.
    modifiedOn string
    Time this mapping was last modified.
    id str
    The provider-assigned unique ID for this managed resource.
    modified_on str
    Time this mapping was last modified.
    id String
    The provider-assigned unique ID for this managed resource.
    modifiedOn String
    Time this mapping was last modified.

    Look up Existing OriginCloudRegion Resource

    Get an existing OriginCloudRegion resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: OriginCloudRegionState, opts?: CustomResourceOptions): OriginCloudRegion
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            modified_on: Optional[str] = None,
            origin_ip: Optional[str] = None,
            region: Optional[str] = None,
            vendor: Optional[str] = None,
            zone_id: Optional[str] = None) -> OriginCloudRegion
    func GetOriginCloudRegion(ctx *Context, name string, id IDInput, state *OriginCloudRegionState, opts ...ResourceOption) (*OriginCloudRegion, error)
    public static OriginCloudRegion Get(string name, Input<string> id, OriginCloudRegionState? state, CustomResourceOptions? opts = null)
    public static OriginCloudRegion get(String name, Output<String> id, OriginCloudRegionState state, CustomResourceOptions options)
    resources:  _:    type: cloudflare:OriginCloudRegion    get:      id: ${id}
    import {
      to = cloudflare_origin_cloud_region.example
      id = "${id}"
    }
    
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    ModifiedOn string
    Time this mapping was last modified.
    OriginIp string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    Region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    Vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    ZoneId string
    Identifier.
    ModifiedOn string
    Time this mapping was last modified.
    OriginIp string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    Region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    Vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    ZoneId string
    Identifier.
    modified_on string
    Time this mapping was last modified.
    origin_ip string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zone_id string
    Identifier.
    modifiedOn String
    Time this mapping was last modified.
    originIp String
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region String
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor String
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zoneId String
    Identifier.
    modifiedOn string
    Time this mapping was last modified.
    originIp string
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region string
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor string
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zoneId string
    Identifier.
    modified_on str
    Time this mapping was last modified.
    origin_ip str
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region str
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor str
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zone_id str
    Identifier.
    modifiedOn String
    Time this mapping was last modified.
    originIp String
    Origin IP address (IPv4 or IPv6). For the single PUT endpoint (PUT /origin/cloud_regions/{origin_ip}), this field must match the path parameter or the request will be rejected with a 400 error. For the batch PUT endpoint, this field identifies which mapping to upsert.
    region String
    Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supportedRegions endpoint.
    vendor String
    Cloud vendor hosting the origin. Must be one of the supported vendors. Available values: "aws", "azure", "gcp", "oci".
    zoneId String
    Identifier.

    Import

    $ pulumi import cloudflare:index/originCloudRegion:OriginCloudRegion example '<zone_id>/<origin_ip>'
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Cloudflare pulumi/pulumi-cloudflare
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the cloudflare Terraform Provider.
    cloudflare logo
    Viewing docs for Cloudflare v6.18.0
    published on Thursday, Jul 16, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial